ReplicationStatus (Oracle - Berkeley DB Java API)
Date: 2014-01-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationStatus

    java.lang.Object
      com.sleepycat.db.ReplicationStatus

    public final class ReplicationStatus

extends Object

The return status from processing a replication message.

Method Summary
`DatabaseEntry` | `getCData()` Whenever the system receives contact information from a new environment, a copy of the opaque data specified in the cdata parameter to the `Environment.startReplication` is available from the getCDAta method.
`int` | `getEnvID()` Return the environment ID associated with the operation.
`LogSequenceNumber` | `getLSN()` Whenever processing a messages results in the processing of messages that are permanent, or a message carrying a DB_REP_PERMANENT flag was processed successfully, but was not written to disk, the LSN of the record is available from the getLSN method.
`boolean` | `isIgnore()` This message cannot be processed.
`boolean` | `isNewSite()` The system received contact information from a new environment.
`boolean` | `isNotPermanent()` A message carrying a DB_REP_PERMANENT flag was processed successfully, but was not written to disk.
`boolean` | `isPermanent()` Processing this message resulted in the processing of records that are permanent.
`boolean` | `isSuccess()` The operation succeeded.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isSuccess

    public boolean isSuccess()

  The operation succeeded.

### isIgnore

    public boolean isIgnore()

  This message cannot be processed. This is an indication that this message is irrelevant to the current replication state (for example, an old message from a previous generation arrives and is processed late).

### isPermanent

    public boolean isPermanent()

  Processing this message resulted in the processing of records that are permanent. The maximum LSN of the permanent records stored is available from the getLSN method.

### isNewSite

    public boolean isNewSite()

  The system received contact information from a new environment. A copy of the opaque data specified in the cdata parameter to the `Environment.startReplication` is available from the getCDAta method. The application should take whatever action is needed to establish a communication channel with this new environment.

### isNotPermanent

    public boolean isNotPermanent()

  A message carrying a DB_REP_PERMANENT flag was processed successfully, but was not written to disk. The LSN of this record is available from the getLSN method. The application should take whatever action is deemed necessary to retain its recoverability characteristics.

### getCData

    public DatabaseEntry getCData()

  Whenever the system receives contact information from a new environment, a copy of the opaque data specified in the cdata parameter to the `Environment.startReplication` is available from the getCDAta method. The application should take whatever action is needed to establish a communication channel with this new environment.

### getEnvID

    public int getEnvID()

  Return the environment ID associated with the operation. In most cases, this is the same as the environment ID passed to `Environment.processReplicationMessage`. However, if a new master is elected, this method returns the environment ID of the new master. It is the application's responsibility to ensure that the matching node begins acting as the master environment.

### getLSN

    public LogSequenceNumber getLSN()

  Whenever processing a messages results in the processing of messages that are permanent, or a message carrying a DB_REP_PERMANENT flag was processed successfully, but was not written to disk, the LSN of the record is available from the getLSN method. The application should take whatever action is deemed necessary to retain its recoverability characteristics.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2014 Oracle and/or its affiliates. All rights reserved.